/*
 * Modul: Mehr
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.0
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */
 
 scrollMehr = 0;
 jsonFreeList = undefined;
// Zeigt Mehr an
function showMehr(){
	_gaq.push(['_trackPageview', "/mehr"]);  //GA: Registriert die Mehr Seite
	$('#backbutton').hide();  //Entfernt Back-Button
	$("#refreshbutton").attr("onclick", "refresh('mehr')").show();	//Zeigt Refreshbutton und aendert Parameter der Refresh-Funktion
	$("#maintitel").text("Mehr");  //Aendert den Headertitel
	$("#divMehrDetail").hide();  //Impressum wird ausgeblendet
	$('#ul-mehr').show();  //Zeigt das Modul Mehr an
	if(jsonFreeList === undefined) getMehr();  //Generiert die Liste unter Mehr
	$(window).scrollTop(scrollMehr);
	refreshBanner();
	activePage = "mehr";
	checkFreeModul("mehr");
}

function getMehr(){

	//Lade-Screen wird angezeigt
	$.mobile.showPageLoadingMsg("a", "Lade Spielplan...");
	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/data/free.aspx?mid=24&options=1",
		context: "json",
		success: function(json){
			jsonFreeList = json;
			var html = "";

			$.each(json.free, function(i,v){
				if(v.link === ""){
					html += "<li><a onclick=\"showMehrDetail(" + v.ID + ", '" + v.name + "')\">" + v.name + "</a></li>";
				}else{
					if(v.linkoption === "href"){
						html += "<li><a href='" + v.link + "' target='_blank'>" + v.name + "</a></li>";
					}else if(v.linkoption === "onclick"){
						html += "<li><a onclick='" + v.link + "'>" + v.name + "</a></li>";
					}
				}
			});


			$("#ul-mehr").html(html);	
			$("#ul-mehr").listview('refresh');
			$('#ul-mehr').show();

			$(window).scrollTop(0);
			//Entfernt den Lade-Screen
			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});

}

function showMehrDetail(id, title){
	scrollTeam = $(window).scrollTop();
	_gaq.push(['_trackPageview', "/mehr/detail"]);
	$("#refreshbutton").hide();
	$("#backbutton").attr("onclick", "back('mehr')").show();
	$("#maintitel").text(title);
	$("#divMehrDetail").show();  //Impressum wird ausgeblendet
	$('#ul-mehr').hide();  //Zeigt das Modul Mehr an
	$("#divMehrDetail").html("");
	getMehrDetail(id);
	$(window).scrollTop(0);
	refreshBanner();
	activePage = "mehrdetail";
	checkFreeModul("mehrdetail");
}

function getMehrDetail(id){
	//Lade-Screen wird angezeigt
	$.mobile.showPageLoadingMsg("a", "Lade Spielplan...");

	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/data/free-detail.aspx?options=1&mid=24&ID=" + id,
		context: "json",
		success: function(json){
			if(json.freedetail.text === undefined){
				$.mobile.hidePageLoadingMsg();
			}else{
				var decoded = $("<div/>").html(json.freedetail.text).text();
				if(json.freedetail.text !== ""){
					$("#divMehrDetail").html(decoded);
					if($("#divMehrDetail").find("ul[data-role=listview]").length > 0) $("#divMehrDetail").addClass("antiContentMargin");
					$("#divMehrDetail ul[data-role=listview]").listview();
				} 
			}

			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});
}










