


/*
 * Allgemeine Funktionen
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.1
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */

 jsonConfig = undefined;
 bannerPreloaderStatus = undefined;

 function loadConfig(){
 	$.ajax({
		type: "GET",
		async: false,
		cache: false,
		url: "http://www.app24.ch/app/customers/scltigers/xml/config_v1.8.aspx",
		context: "json",
		success: function(json){
			var html = "";
			jsonConfig = json;
		},
		error: function(jqXHR, textStatus, errorThrown){
			//Wenn es Fehler bei der Uebertragung der Daten gibt, 
			//wird in der Javascript eine Fehlermeldung ausgegeben
			//und entfernt zugleich den Lade-Screen
			$.mobile.hidePageLoadingMsg();
			console.log("fehler beim laden von config")
			console.log(errorThrown)
		}
	});	
 }
 
$(document).ready(function(){
	/* Navigation Click */
	$("#NewsClick").click(function () {
		saveScroll($(".ui-btn-active").attr("ID"));
		hiddenAll();
		showNews();
	});
	$("#TabelleClick").click(function () {
		saveScroll($(".ui-btn-active").attr("ID"));
		hiddenAll();
		showTable();
	});
	$("#SpielplanClick").click(function () {
		saveScroll($(".ui-btn-active").attr("ID"));
		hiddenAll();
		showSpielplan();
	});
	$("#TeamClick").click(function () {
		saveScroll($(".ui-btn-active").attr("ID"));
		hiddenAll();
		showTeam();
	});
	$("#MehrClick").click(function () {
		saveScroll($(".ui-btn-active").attr("ID"));
		hiddenAll();
		showMehr();
	});
	
	//Loader-Screen mutieren, damit waehrend dem Laden keine Aktionen genutzt werden kann
	var content = $(".ui-loader").html();
	var blocker = "<a style='width: 100%;height: 100%;display: block;position: fixed;left: 0;top: 0;'>&nbsp;</a>";
	$(".ui-loader").html(blocker + content);
	
	//Verhindert, dass beim Tippen auf dem Screen (Oder Klicken bei PC) Header und Footer nicht verschwinden
	$("[data-role=header], [data-role=footer]").fixedtoolbar({ tapToggle: false });
	
	$("#closeButtonBanner").click(function () {
		$('#interstitial_wrapper').remove();
	});
    

});


$(document).ready(function(){
	loadConfig();
	$.mobile.ajaxEnabled = false;
});

function saveScroll(id){
	switch(id){
		case "NewsClick":
			scrollNews = $(window).scrollTop();
			break;
		case "TabelleClick":
			scrollTabelle = $(window).scrollTop();
			break;
		case "SpielplanClick":
			scrollSpielplan = $(window).scrollTop();
			break;
		case "TeamClick":
			scrollTeam = $(window).scrollTop();
			break;
		case "MehrClick":
			scrollMehr = $(window).scrollTop();
			break;
		default:
			return;
	}
}

//Die Funktion laesst alle Bereiche im divContent verschwinden
function hiddenAll(){
	$("#ul-news").hide();
	$("#newsDetail").hide();
	$("#divTabelle").hide();
	$("#ol-spielplan").hide();
	$("#divTeam").hide();
	$("#divTeamDetail").hide();
	$("#ul-mehr").hide();
	$("#divImpressum").hide();
	$("#divMehrDetail").hide();
	$("#error").hide();
	$("#divIframe").hide();
	
	//Background-Fix für divContent
	//Entfernt die Klasse 'team-bg' von #divContent
	$("#divContent").removeClass("team-bg");
}

// Refresh Button
// Ruft jeweils die show-Funktion der Module
function refresh(id){
	switch(id){
		case "news":
			getNews();
			checkBanner("news");
			checkFreeModul("news");
			break;
		case "tabelle":
			getTable();
			checkFreeModul("tabelle");
			checkBanner("tabelle");
			break;
		case "spielplan":
			getSpielplan();
			checkBanner("spielplan");
			checkFreeModul("spielplan");
			break;
		case "team":
			getTeam();
			checkBanner("team");
			checkFreeModul("team");
			break;
		case "mehr":
			getMehr();
			checkBanner("mehr");
			checkFreeModul("mehr");
			break;
		default:
			return;
	}
}

// Backbutton Click
// Ruft jeweils die show-Funktion der Module
function back(id) {
	switch(id){
		case "news":
			showNews();
			$(window).scrollTop(scrollNews);
			break;
		case "team":
			showTeam();
			$(window).scrollTop(scrollTeam);
			break;
		case "mehr":
			showMehr();
			break;
		default: 
			return;
	}
}

function bannerParser(xml) {
	var html="";
	//$('#divBanner').hide();
	d = new Date();
	//html += '<p>'+d.getDate()+'.'+d.getMonth()+'.'+d.getFullYear()+' , '+d.getHours()+':'+d.getMinutes()+':'+d.getSeconds()+'</p>';
	
	$(xml).find("banner").each(function () {
		html += '<li><p>';
		html += $(this).find("tag").text();
		html += '</p></li>';

		//$('#divBanner').show();
		//$("#divBanner").html(html);

	});
}

function hideBanner(){
	/*$("#bannernews").css("z-index", "-10000");
	$("#bannerspielplan").css("z-index", "-10000");
	$("#bannertabelle").css("z-index", "-10000");
	$("#bannerteam").css("z-index", "-10000");
	$("#bannermehr").css("z-index", "-10000");
	$("#divBanner").hide();*/
}
function refreshBanner(){
	hideBanner();
	//console.log("refresh");
	var iframes = $("#divBanner iframe").contents();
		$.each( iframes, function( key, value ) {
		 	$(value.body).html("<div></div>");
		});
	googletag.cmd.push(function(){
		googletag.pubads().refresh();
	}); 
	setTimeout(function(){
	checkBanner();}, 300)
}

function getInterstitial(){
	googletag.cmd.push(function() {  
					googletag.display('bannerinterstitial');
	});
	checkInterstitial();
}


function bannerPreloader(){
			googletag.cmd = googletag.cmd || [];
			createAdSlot('/1033123/Scl_Tigers_fullbanner_news', 'bannernews', [320, 50])
			googletag.cmd.push(function(){googletag.display("bannernews")});
        	createAdSlot('/1033123/Scl_Tigers_fullbanner_tabelle', 'bannertabelle', [320, 50])
			googletag.cmd.push(function(){googletag.display("bannertabelle")});
        	createAdSlot('/1033123/Scl_Tigers_fullbanner_spielplan', 'bannerspielplan', [320, 50])
			googletag.cmd.push(function(){googletag.display("bannerspielplan")});
        	createAdSlot('/1033123/Scl_Tigers_fullbanner_mehr', 'bannermehr', [320, 50])
			googletag.cmd.push(function(){googletag.display("bannermehr")});
        	createAdSlot('/1033123/Scl_Tigers_fullbanner_team', 'bannerteam', [320, 50])
			googletag.cmd.push(function(){googletag.display("bannerteam")});
        	createAdSlot('/1033123/SCL_Tigers_Banner_Webseite_Interstitial', 'bannerinterstitial', [320, 480])
			googletag.cmd.push(function(){googletag.display("bannerinterstitial")});
        	
        	googletag.cmd.push(function(){
				$("#divBanner iframe").contents().find("a").click(function(e){     
	                //Ist ein Hyperlink mit Href attribut?
	                if( $(e.target).is('a[href]') && e.target.protocol == "http:"){
	                    //Weiterleitung blocken
	                    e.preventDefault();
	                    
	                    //Custom code hier rein
	                    var link = $(e.target).attr("href");
	                   	prepareHyperlink(link, "_blank", "location=yes,EnableViewPortScale=yes");
	                    
	                }

            	});
			
        	});

			setTimeout(getInterstitial, jsonConfig.config.banner.globalStatus.interstitial["@preloader"]);
			
			console.log("preload gestartet");
			setTimeout(function(){
				bannerPreloaderStatus = true;
				checkBanner();
			}, jsonConfig.config.banner.globalStatus.showtimerBanner);
		}
		
function checkInterstitial(){
	loadConfig();
	if(jsonConfig !== undefined){ 
		if(jsonConfig.config.banner.globalStatus["@status"] === "1" && jsonConfig.config.banner.globalStatus.interstitial["#text"] === "1"){
			console.log("showtimer gestartet")
			$("#interstitial_wrapper iframe").contents().find("a").click(function(e){     
                //Ist ein Hyperlink mit Href attribut?
                if( $(e.target).is('a[href]') && e.target.protocol == "http:" || e.target.protocol == "https:"){
                    //Weiterleitung blocken
                    e.preventDefault();
                    
                    //Custom code hier rein
                    var link = $(e.target).attr("href");
                   	prepareHyperlink(link, "_blank", "location=yes,EnableViewPortScale=yes");
                    
                }
            });
			setTimeout(function(){
				$("#interstitial_wrapper").show();
				if(jsonConfig.config.banner.globalStatus.interstitial["@timeout"] !== "0"){ 
					setTimeout(function(){
						$("#interstitial_wrapper").remove();
					}, jsonConfig.config.banner.globalStatus.interstitial["@timeout"]);
				}
			},jsonConfig.config.banner.globalStatus.interstitial["@showtimer"]);

				
		}
	}
}
function createAdSlot(unit, id, size){
		    googletag.cmd.push(function() {
                googletag.defineSlot(unit, size, id).addService(googletag.pubads()); 
                googletag.pubads().enableSingleRequest();
                googletag.pubads().enableAsyncRendering();
               // googletag.pubads().collapseEmptyDivs();
                //googletag.pubads().enableSyncRendering();
                googletag.enableServices();
            });
		}

function checkBanner(){
	loadConfig();
	hideBanner();
	var navi = activePage;
	if(jsonConfig !== undefined && bannerPreloaderStatus == true){ 
		if(jsonConfig.config.banner.globalStatus["@status"] === "1"){
			var stat = jsonConfig.config.banner.globalStatus;
			if(navi == "news" && stat.news === "1"){
				setTimeout(function(){
					$("#divBanner, #bannernews").show();
					$("#bannernews").css("z-index", "900");
				}, 300);
			} else if(navi === "newsDetail" && stat.newsDetail === "1"){

				setTimeout(function(){
				$("#divBanner, #bannernews").show();
				$("#bannernews").css("z-index", "900");
				},300);
			}else if(navi === "tabelle" && stat.tabelle === "1"){
				setTimeout(function(){
				$("#divBanner, #bannertabelle").show();
				$("#bannertabelle").css("z-index", "900");
			},300);
			}else if(navi === "spielplan" && stat.spielplan === "1"){
				
				setTimeout(function(){
				$("#bannerspielplan").css("z-index", "900");
				$("#divBanner, #bannerspielplan").show();
			}, 300);
			}else if(navi === "team" && stat.team === "1"){
				
				setTimeout(function(){
				$("#bannerteam").css("z-index", "900");
				$("#divBanner, #bannerteam").show();
			},300);
			}else if(navi === "teamDetail" && stat.teamDetail === "1"){
				
				setTimeout(function(){
				$("#bannerteam").css("z-index", "900");
				$("#divBanner, #bannerteam").show();
			},300);
			}else if(navi === "mehr" && stat.mehr === "1"){
				
				setTimeout(function(){
				$("#bannermehr").css("z-index", "900");
				$("#divBanner, #bannermehr").show();
			},300);
			}else if(navi === "mehrDetail" && stat.mehrDetail === "1"){

				setTimeout(function(){
				$("#divBanner, #bannermehr").show();
				$("#bannermehr").css("z-index", "900");
			},300);
			}else {
				hideBanner();
			}
		}else{
			hideBanner();
		}
	}
}

function checkFreeModul(type){
	var html = "";
	if(jsonConfig.config.iframes[type] !== null){
		$(jsonConfig.config.iframes[type].modul).each(function(i,v){
			html += getIframeDetail(v["@id"]);
		});
		$("#divIframe").html(html);
		if(html !== "") {
			$("#divIframe ul[data-role=listview]").listview();
			$("#divIframe").show();
		}
	}

}

function getIframeDetail(id){
	//Lade-Screen wird angezeigt
	vHtml = "";
	$.mobile.showPageLoadingMsg("a", "Lade Spielplan...");
	$.ajax({
		type: "GET",
		async: false,
		cache: false,
		url: "http://www.app24.ch/app/data/free-detail.aspx?options=1&mid=24&ID=" + id,
		context: "json",
		success: function(json){
			alpha = json;
			if(json.freedetail.text === undefined){
				$.mobile.hidePageLoadingMsg();
			}else{
				var decoded = $("<div/>").html(json.freedetail.text).text();
				vHtml += "<div class='iframe-block'>" + decoded + "</div>";
			}
			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});

	return vHtml;
}