/*
 * Modul: Team
 * Author: Nikola Micic <nikola.micic@newcomsolution.ch>
 * Version: 1.1
 * Erstellt am 11.12.2012
 * (C) newcom solution AG
 */
 
/* Speichert Request für Details später */
jsonTeam = undefined;
team_empty_css_fix = false;
scrollTeam = 0;

// Zeigt News an 
function showTeam(){
	_gaq.push(['_trackPageview', "/team"]);  //GA: Die Seite Team wird registriert
	$('#divTeam').show();  //Team wird angezeigt
	$('#divTeamDetail').hide();  //Detailseite wird versteckt
	$("#maintitel").text("Team");  //Aendert den Headertitel
	$('#backbutton').hide();  //Entfernt den backbutotn
	$("#refreshbutton").attr("onclick", "refresh('team')").show();	//Zeigt Refreshbutton und ändert Parameter der Refresh-Funktion
	if(team_empty_css_fix === false) $("#divContent").addClass("team-bg");  //Background-Fix für Haupt-Div
	if(jsonTeam === undefined) getTeam();  //Ruft die Funktion getTable, wenn sie noch nie aufgerufen wurde
	$(window).scrollTop(scrollTeam);
	refreshBanner();
	activePage = "team";
	checkFreeModul("team");
}

// Wenn auf ein News geklickt wurde, wird 
// die Funktion für Details aufgerufen
$('#divTeam ul li').live('click', function() {
	scrollTeam = $(window).scrollTop();
	_gaq.push(['_trackPageview', "/team/detail"]);
	getTeamDetail(this.id);
	$("#refreshbutton").hide();
	$("#backbutton").attr("onclick", "back('team')");
	$("#maintitel").text("");
	$(window).scrollTop(0);
	refreshBanner();
	activePage = "teamdetail"
	checkFreeModul("teamdetail");
});

// Zeigt Detailseite an
function getTeamDetail(id) {
	var html="";
	var ID = id.replace("team_", "");
	var team = jsonTeam.team.item;
	
	html += '<h1>' +team[ID].firstname + ' ' + team[ID].lastname + '</h1>';
	html += '<div class="team_bild"><img src="http://www.scltigers.ch/cgi-bin/spieler/' + team[ID].image + '" alt="' + team[ID].firstname + ' ' + team[ID].lastname + '" /></div>';
	html += '<div class="team_info_table">';
		html += '<table border="0" cellpadding="0" cellspacing="0" width="100%">';
			if(team[ID].functionname !== undefined && team[ID].functionname !== "-") html += '<tr><td>Position</td><td>' + team[ID].functionname + '</td></tr>';
			if(team[ID].nr !== undefined && team[ID].nr !== "-") html += '<tr><td>R&uuml;ckennumer</td><td>' + team[ID].nr + '</td></tr>';
			if(team[ID].cane !== undefined && team[ID].cane !== "-") html += '<tr><td>Stock</td><td>' + team[ID].cane + '</td></tr>';
			if(team[ID].nickname !== undefined && team[ID].nickname !== "-") html += '<tr><td>&Uuml;bername</td><td>' + team[ID].nickname + '</td></tr>';
			if(team[ID].birthday !== undefined && team[ID].birthday !== "-") html += '<tr><td>Geburtsdatum</td><td>' + team[ID].birthday + '</td></tr>';
			if(team[ID].size !== undefined && team[ID].size !== "-") html += '<tr><td>Gr&ouml;sse</td><td>' + team[ID].size + '</td></tr>';
			if(team[ID].weight !== undefined && team[ID].weight !== "-") html += '<tr><td>Gewicht</td><td>' + team[ID].weight + '</td></tr>';
			if(team[ID].marital_state !== undefined && team[ID].marital_state !== "-") html += '<tr><td>Zivilstand</td><td>' + team[ID].marital_state + '</td></tr>';
			if(team[ID].job !== undefined && team[ID].job !== "-") html += '<tr><td>Beruf</td><td>' + team[ID].job + '</td></tr>';
			if(team[ID].hobbies !== undefined && team[ID].hobbies !== "-") html += '<tr><td>Hobbies</td><td>' + team[ID].hobbies + '</td></tr>';
			if(team[ID].favorite_dish !== undefined && team[ID].favorite_dish !== "-") html += '<tr><td>Lieblingsspeise</td><td>' + team[ID].favorite_dish + '</td></tr>';
			if(team[ID].favorite_drink !== undefined && team[ID].favorite_drink !== "-") html += '<tr><td>Lieblingsgetr&auml;nk</td><td>' + team[ID].favorite_drink + '</td></tr>';
			if(team[ID].music !== undefined && team[ID].music !== "-") html += '<tr><td>Musik</td><td>' + team[ID].music + '</td></tr>';
			if(team[ID].previous_club!== undefined && team[ID].previous_club!== "-") html += '<tr><td>Bisherige Klubs</td><td>' + team[ID].previous_club + '</td></tr>';
			if(team[ID].core_club !== undefined && team[ID].core_club !== "-") html += '<tr><td>Stammklub</td><td>' + team[ID].core_club + '</td></tr>';
			if(team[ID].nhl_draft !== undefined && team[ID].nhl_draft !== "-") html += '<tr><td>NHL-Draft</td><td>' + team[ID].nhl_draft + '</td></tr>';
			if(team[ID].achievements !== undefined && team[ID].achievements !== "-") html += '<tr><td>Gr&ouml;sste Erfolge</td><td>' + team[ID].achievements + '</td></tr>';
			if(team[ID].slogan !== undefined && team[ID].slogan !== "-") html += '<tr><td>Lebensmotto</td><td>' + team[ID].slogan + '</td></tr>';
			if(team[ID].model !== undefined && team[ID].model !== "-") html += '<tr><td>Vorbild</td><td>' + team[ID].model + '</td></tr>';
			if(team[ID].opponent !== undefined && team[ID].opponent !== "-") html += '<tr><td>H&auml;rtester Gegenspieler</td><td>' + team[ID].opponent + '</td></tr>';
			if(team[ID].best_player !== undefined && team[ID].best_player !== "-") html += '<tr><td>Wer war der beste Spieler, mit dem du jemals gespielt hast?</td><td>' + team[ID].best_player + '</td></tr>';
			if(team[ID].stadium_mood !== undefined && team[ID].stadium_mood !== "-") html += '<tr><td>Beste Stadionstimmung</td><td>' + team[ID].stadium_mood + '</td></tr>';
			if(team[ID].contract_until !== undefined && team[ID].contract_until !== "-") html += '<tr><td>Vertrag bis</td><td>' + team[ID].contract_until + '</td></tr>';
			if(team[ID].nationality !== undefined && team[ID].nationality !== "-") html += '<tr><td>Nationalit&auml;t</td><td>' + team[ID].nationality + '</td></tr>';
		html += '</table>';
	html += '</div>';
	
	
	$("#divTeamDetail").html(html);
	$('#divTeam').hide();
	$('#divTeamDetail').show();
	$("#backbutton").attr("onclick", "back('team')");
	$('#backbutton').show();
}

// Holt News und gibt sie aus
function getTeam(){
	//Zeigt Lade-Screen
	$.mobile.showPageLoadingMsg("a", "Lade Team...");
	
	//Holt Daten und verarbeitet diese
	$.ajax({
		type: "GET",
		async: true,
		cache: false,
		url: "http://www.app24.ch/app/customers/scltigers/xml/team.aspx",
		context: "json",
		success: function(json){
			var html = "",
				team = undefined;
				count = 0,
				torhueter = "",
				verteidiger = "",
				stuermer = "",
				headcoach = "",
				assistantcoach = "",
				materialchef = "",
				physio = "",
				teamarzt = "",
				teamzahnarzt = "",
				img = '<div class="team-trikot"><img src="themes/images/team_trikot.png" width="35px" /></div>';
			
			//Ueberprueft die Daten auf Existenz
			if(json.team !== null){
				team = json.team.item;
			}
			
			//Zaehlt die Anzahl Objekte im JSON
			if(team !== undefined){
				team_empty_css_fix = false; //Wird benoetigt fuer den Background-Fix
				for(var value in team){
					count++;
				}
			}
			
			//Speichert die Daten lokal ab
			jsonTeam = json;
			
			//Wenn keine Daten vorhanden sind, wird eine Fehlermeldung angezeigt
			if(count == 0){
				team_empty_css_fix = true;
				$("#divTeam").html("<span class='error'>Zurzeit sind keine News vorhanden!</span>");
				$("#divTeam").show();
				$("#divContent").removeClass("team-bg");
				$.mobile.hidePageLoadingMsg();
				return true;
			}
			
			//Generiert die Ausgabe
			for(var i = 0; i < count; i++){
				 var nummer = team[i].nr !== undefined ? '<div class="rNr">' + team[i].nr + '</div>' : '';
				
				switch(team[i].functionpos){
					case "a":
						torhueter += '<li data-icon="team" id="team_' + i + '">' + nummer + '<a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "b":
						verteidiger += '<li data-icon="team" id="team_' + i + '">' + nummer + '<a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "c":
						stuermer += '<li data-icon="team" id="team_' + i + '">' + nummer + '<a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "d":
						headcoach += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "e":
						assistantcoach += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "f":
						materialchef += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "g":
						physio += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "h":
						teamarzt += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					case "i":
						teamzahnarzt += '<li data-icon="team" id="team_' + i + '"><a>' + img + '<span>' + team[i].firstname + ' ' + team[i].lastname + '</span></a></li>';
						break;
					default:
						break;
				}
			}
			if(torhueter !== ""){
				html += '<h2>Torh&uuml;ter</h2>';
				html += '<ul id="team_torhueter" data-inset="true" data-role="listview">';
				html += torhueter;
				html += '</ul>';
			}
			if(verteidiger !== ""){
				html += '<h2>Verteidiger</h2>';
				html += '<ul id="team_verteidiger" data-inset="true" data-role="listview">';
				html += verteidiger;
				html += '</ul>';
			}
			if(stuermer !== ""){
				html += '<h2>St&uuml;rmer</h2>';
				html += '<ul id="team_stuermer" data-inset="true" data-role="listview">';
				html += stuermer;
				html += '</ul>';
			}
			if(headcoach !== ""){
				html += '<h2>Head Coach</h2>';
				html += '<ul id="team_headcoach" data-inset="true" data-role="listview">';
				html += headcoach;
				html += '</ul>';
			}
			if(assistantcoach !== ""){
				html += '<h2>Assistant Coach</h2>';
				html += '<ul id="team_assistantcoach" data-inset="true" data-role="listview">';
				html += assistantcoach;
				html += '</ul>';
			}
			if(materialchef !== ""){
				html += '<h2>Materialchef</h2>';
				html += '<ul id="team_materialchef" data-inset="true" data-role="listview">';
				html += materialchef;
				html += '</ul>';
			}
			if(physio !== ""){
				html += '<h2>Physio</h2>';
				html += '<ul id="team_physio" data-inset="true" data-role="listview">';
				html += physio;
				html += '</ul>';
			}
			if(teamarzt !== ""){
				html += '<h2>Teamarzt</h2>';
				html += '<ul id="team_teamarzt" data-inset="true" data-role="listview">';
				html += teamarzt;
				html += '</ul>';
			}
			if(teamzahnarzt !== ""){
				html += '<h2>Team-Zahnarzt</h2>';
				html += '<ul id="team_zahnarzt" data-inset="true" data-role="listview">';
				html += teamzahnarzt;
				html += '</ul>';
			}	
			
			//Fuellt die Daten in den Div-Bereich			
			$("#divTeam").html(html).text();
			$("#divTeam ul").listview();
			$("#divContent").addClass("team-bg");
			$('#divTeam').show();
			$('#backbutton').hide();
			
			$(window).scrollTop(0);
			//Entfernt den Lade-Screen
			$.mobile.hidePageLoadingMsg();
		},
		error: function(jqXHR, textStatus, errorThrown){
			//Wenn es Fehler bei der Uebertragung der Daten gibt, 
			//wird in der Javascript eine Fehlermeldung ausgegeben
			//und entfernt zugleich den Lade-Screen
			console.log(textStatus);
			console.log(errorThrown);
			$.mobile.hidePageLoadingMsg();
		}
	});				
}